FF4 Update Rated 5 out of 5 stars

This is the only theme I can use with Firefox. Honestly. I've been beta-testing FF4 for a while now, and love all its improvements, but I'm still using 3.6 solely because this theme isn't available for FF4 yet. Please, please update for compatibility soon. Your loyal (and donation-happy) fans beg you!